package main

import "fmt"

// funzione che mappa i valori
// alle allergie
// alternativa -> map o arrays
func maping(val int) string {
	switch val {
	case 1:
		return "uova"
	case 2:
		return "arachidi"
	case 4:
		return "crostacei"
	case 8:
		return "fragole"
	case 16:
		return "pomodori"
	case 32:
		return "cioccolato"
	case 64:
		return "polline"
	default:
		return "gatti"
	}
}

func main() {

	var nr int

	fmt.Scan(&nr)

	var exp uint
	for nr != 0 {

		exp = 0

		// cerco il piu grande exponente
		// tale che 2^exp sia piu piccolo o uguale del numero
		// inserito
		for (1 << exp) <= nr {
			exp++
		}

		exp-- // il while si ferma quando 2^exp e gia piu grande
		// del numero, quindi e necessario decrementare l'esponente

		if (nr - (1 << exp)) != 0 { // se ci sono anche altre allergie devo dire "e"
			fmt.Print(maping(1<<exp), " e ")
		} else {
			fmt.Print(maping(1 << exp))
		}

		nr -= (1 << exp) // elimino l'allergia trovata dal numero
		// e riinizio il ciclo (nel caso in quale nr != 0)
	}

}
