// Programma che verifica che un stringa sia una mail
package main

import "fmt"

func validNameChar(r rune) bool {
	if (r >= 48 && r <= 57) || (r >= 65 && r <= 90) || (r >= 97 && r <= 122) {
		return true
	}
	
	return false
}

func main() {
	var email string

	fmt.Println("digita un indirizzo e-mail")
	fmt.Scanf("%s", &email)
	const (
		searchName = 1
		searchAt = 2
		searchHost = 3
		searchDot = 4
		searchDomain = 5
		emailValid = 6
	)
	var state int = searchName

	for _, c := range email {
		switch state {
			case searchName:
				if validNameChar(c) {
					state = searchAt
				} else {
					fmt.Println("Name not valid")
					return
				}
			case searchAt:
				if c == 64 {
					state = searchHost
				} else if validNameChar(c) { //still good
				} else {
					fmt.Println("Name not valid")
					return
				}
			case searchHost:
				if validNameChar(c) {
					state = searchDot
				} else {
					fmt.Println("Host not valid")
					return
				}
			case searchDot:
				if c == 46 {
					state = searchDomain
				} else if validNameChar(c) { //still good
				} else {
					fmt.Println("Host not valid")
					return
				}
			case searchDomain:
				if validNameChar(c) {
					state = emailValid
				} else {
					fmt.Println("Domain not valid")
					return
				}
			case emailValid:
				if validNameChar(c) { //still good
				} else {
					fmt.Println("Domain not valid")
					return
				}
		}
	}
	
	if state == emailValid {
		fmt.Println("Email Valid")
	} else {
		fmt.Println("Email not complete")
	}
}
